class ERes2Net(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  conv1 : __torch__.torch.nn.modules.conv.___torch_mangle_7831.Conv2d
  bn1 : __torch__.torch.nn.modules.batchnorm.___torch_mangle_7832.BatchNorm2d
  layer1 : __torch__.torch.nn.modules.container.___torch_mangle_7874.Sequential
  layer2 : __torch__.torch.nn.modules.container.___torch_mangle_7929.Sequential
  layer3 : __torch__.torch.nn.modules.container.___torch_mangle_8058.Sequential
  layer4 : __torch__.torch.nn.modules.container.___torch_mangle_8124.Sequential
  layer1_downsample : __torch__.torch.nn.modules.conv.___torch_mangle_8125.Conv2d
  layer2_downsample : __torch__.torch.nn.modules.conv.___torch_mangle_8126.Conv2d
  layer3_downsample : __torch__.torch.nn.modules.conv.___torch_mangle_8127.Conv2d
  fuse_mode12 : __torch__.speakerlab.models.eres2net.fusion.___torch_mangle_8134.AFF
  fuse_mode123 : __torch__.speakerlab.models.eres2net.fusion.___torch_mangle_8141.AFF
  fuse_mode1234 : __torch__.speakerlab.models.eres2net.fusion.___torch_mangle_8148.AFF
  pool : __torch__.speakerlab.models.eres2net.pooling_layers.___torch_mangle_8149.TSTP
  seg_1 : __torch__.torch.nn.modules.linear.___torch_mangle_8150.Linear
  seg_bn_1 : __torch__.torch.nn.modules.linear.___torch_mangle_8151.Identity
  seg_2 : __torch__.torch.nn.modules.linear.___torch_mangle_8152.Identity
  def forward(self: __torch__.speakerlab.models.eres2net.ERes2Net.___torch_mangle_8153.ERes2Net,
    x: Tensor) -> Tensor:
    seg_1 = self.seg_1
    pool = self.pool
    fuse_mode1234 = self.fuse_mode1234
    layer3_downsample = self.layer3_downsample
    layer4 = self.layer4
    fuse_mode123 = self.fuse_mode123
    layer2_downsample = self.layer2_downsample
    layer3 = self.layer3
    fuse_mode12 = self.fuse_mode12
    layer1_downsample = self.layer1_downsample
    layer2 = self.layer2
    layer1 = self.layer1
    bn1 = self.bn1
    conv1 = self.conv1
    x0 = torch.permute(x, [0, 2, 1])
    input = torch.unsqueeze_(x0, 1)
    _0 = (bn1).forward((conv1).forward(input, ), )
    input0 = torch.relu(_0)
    _1 = (layer1).forward(input0, )
    _2 = (layer2).forward(_1, )
    _3 = (fuse_mode12).forward(_2, (layer1_downsample).forward(_1, ), )
    _4 = (layer3).forward(_2, )
    _5 = (fuse_mode123).forward(_4, (layer2_downsample).forward(_3, ), )
    _6 = (fuse_mode1234).forward((layer4).forward(_4, ), (layer3_downsample).forward(_5, ), )
    _7 = (seg_1).forward((pool).forward(_6, ), )
    return _7
